Skip to main content
GET
/
contract
/
v1
/
contracts
/
{contractId}
/
annexes
List contract annexes
curl --request GET \
  --url https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}/annexes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}/annexes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}/annexes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "startAt": "2023-12-25",
      "endAt": "2023-12-25",
      "expiredAt": "2023-12-25",
      "holidays": 123,
      "comment": "<string>",
      "code": "<string>",
      "socialSecurityNumber": "<string>",
      "cbo": "<string>",
      "remoteWork": true,
      "seniorityDate": "2023-12-25",
      "jobPositionDescription": "<string>",
      "weeklyHours": 123,
      "maxLegalWeeklyHours": 123,
      "maxLegalAnnualHours": 123,
      "percentageWorkDay": 123,
      "fte": 123,
      "details": "<string>",
      "trialEndDate": "2023-12-25",
      "trialPeriod": {
        "trialPeriodType": "months",
        "quantity": "6"
      },
      "workDays": [
        {
          "hour": 123
        }
      ],
      "jobCharge": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "workdayType": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "editable": true
      },
      "contractType": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "degree": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "editable": true
      },
      "agreement": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "jobLevel": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      }
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contractId
string<uuid>
required

The ID of the contract

Query Parameters

startAt
string<date>

Filter annexes with start date greater than or equal to this value

endAt
string<date>

Filter annexes with end date less than or equal to this value

createdAt
string<date>

Filter by creation date

updatedAt
string<date>

Filter by last update date

holidays
integer

Filter by number of holidays

jobCharge.name[contains]
string

Filter by job charge name (partial match)

workdayType.name
string

Filter by workday type name

contractType.name
string

Filter by contract type name

orderBy
enum<string>

Field to order results by. Defaults to 'endAt desc'

Available options:
startAt,
startAt asc,
startAt desc,
endAt,
endAt asc,
endAt desc
limit
integer
default:20

Maximum number of results to return

page
integer
default:1

Page number for pagination

Response

200 - application/json

List of contract annexes retrieved successfully

data
object[]
meta
object